diff --git a/src/wizard/FedoraManualTesting.js b/src/wizard/FedoraManualTesting.js
index eeda471..e82d0e3 100644
--- a/src/wizard/FedoraManualTesting.js
+++ b/src/wizard/FedoraManualTesting.js
@@ -1,8 +1,7 @@
 import React, { useState } from "react"
 import { Modal, ModalHeader, ModalBody, ModalFooter } from "reactstrap"
 import { CollapsableCard, ModalBadge } from "./components"
-import { Trans } from "react-i18next"
-import { useSelector } from "react-redux"
+import { Trans, useTranslation } from "react-i18next"
 
 export default (props) => {
   let sections = Object.keys(props.data).map((k) => (
@@ -24,7 +23,7 @@ const FedoraManualTestingItemsListSub2 = (props) => {
 }
 
 export function FedoraManualTestingItemsListSub1(props) {
-  const { i18n } = useSelector((state) => state.locale)
+  const { t } = useTranslation()
   var subsections = Object.keys(props.data).map((k) => (
     <li key={"li" + k}>
       <span>{k}</span>
@@ -40,10 +39,8 @@ export function FedoraManualTestingItemsListSub1(props) {
         <div>
           <Trans i18nKey="Installation_text">
             The <strong>Installation</strong> testcases generally deal with a part of the
-            installation procedure.
-            <br />
-            You will certainly need an installation ISO, and either a Virtual or Bare-metal machine
-            to run the test.
+            installation procedure. You will certainly need an installation ISO, and either a
+            Virtual or Bare-metal machine to run the test.
             <br />
             <i>Note:</i> some (not that many, though) of these testcases require Bare-metal
             machine. Be sure to read the Description of the testcase carefully.
@@ -114,7 +111,7 @@ export function FedoraManualTestingItemsListSub1(props) {
   }
 
   return (
-    <CollapsableCard title={l1} expand_text={i18n.t("words.See")} expand_class="primary">
+    <CollapsableCard title={l1} expand_text={t("See")} expand_class="primary">
       {subsections}
     </CollapsableCard>
   )
@@ -128,34 +125,34 @@ export function FedoraManualTestingItem(props) {
 
   const matrix_url = extra_data.matrix_url
   var environment_examples = undefined
-  const { i18n } = useSelector((state) => state.locale)
+  const { t } = useTranslation()
   switch (extra_data.testtype) {
     case "Installation":
       environment_examples = (
         <span>
-          <code>x86_64</code> {i18n.t("words.or")} <code>ARM</code>
+          <code>x86_64</code> {t("or")} <code>ARM</code>
         </span>
       )
       break
     case "Base":
       environment_examples = (
         <span>
-          <code>{18n.t("words.Workstation")}</code>, <code>{i18n.t("words.Server")}</code>,{" "}
-          <code>Xfce</code> {i18n.t("words.or")} <code>{i18n.t("words.Minimal")}</code>
+          <code>{t("Workstation")}</code>, <code>{t("Server")}</code>, <code>Xfce</code> {t("or")}{" "}
+          <code>{t("Minimal")}</code>
         </span>
       )
       break
     case "Desktop":
       environment_examples = (
         <span>
-          <code>{18n.t("words.Workstation")}</code> {i18n.t("words.or")} <code>KDE</code>
+          <code>{t("Workstation")}</code> {t("or")} <code>KDE</code>
         </span>
       )
       break
     case "Server":
       environment_examples = (
         <span>
-          <code>x86_64</code> {i18n.t("words.or")} <code>aarch64</code>
+          <code>x86_64</code> {t("or")} <code>aarch64</code>
         </span>
       )
       break
@@ -164,31 +161,32 @@ export function FedoraManualTestingItem(props) {
   }
 
   const testtype = extra_data.testtype
+  const length = extra_data.envs.length > 1 ? "environments are" : "environment is"
+  const join = extra_data.envs.join(", ")
 
   return (
     <ModalInfo buttonLabel={name}>
       <ol className="steps">
         <li>
-          <Trans i18nKey="Identify_The_Testcase">
+          <Trans i18nKey="Identify_The_Testcase" components={[<a href={matrix_url}> </a>]}>
             Identify the testcase and `environment` in our{" "}
             <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
               Tescase matrix{" "}
             </a>
           </Trans>
-          <ModalBadge expand_text={i18n.t("phrases.Not_sure_what_that_means")}>
+          <ModalBadge expand_text={t("Not_sure_what_that_means")}>
             <ul>
               <li>
                 <Trans i18nKey="Have_a_look_at_the_matrix">
                   Have a look at the matrix. The rows are the testcases, and the columns are the
-                  environments. Most of the time, these are {environment_examples} for the{" "}
-                  {testtype} testcases, but you can also encouter a generic <code>Result</code>{" "}
+                  environments. Most of the time, these are {{ environment_examples }} for the{" "}
+                  {{ testtype }} testcases, but you can also encouter a generic <code>Result</code>{" "}
                   column, which usually means you can use any media/architecture available.
                 </Trans>
               </li>
               <li>
-                <Trans i18nKey="for_this_perticular">
-                  For this particular testcase, <code>{extra_data.envs.join(", ")}</code>{" "}
-                  {extra_data.envs.length > 1 ? "environments are" : "environment is"} missing
+                <Trans i18nKey="for_this_particular">
+                  For this particular testcase, <code>{{ join }}</code> {{ length }} missing
                   results.
                 </Trans>
               </li>
@@ -197,15 +195,15 @@ export function FedoraManualTestingItem(props) {
         </li>
 
         <li>
-          <Trans i18nKey="Read_the_TestCase">
+          <Trans i18nKey="Read_the_TestCase" components={[<a href={tc_url}> </a>]}>
             Read the{" "}
             <a target="_blank" rel="noopener noreferrer" href={tc_url}>
               Testcase
             </a>{" "}
             briefly, just to have a general idea of what you will be doing.
           </Trans>
-          <ModalBadge expand_text={i18n.t("phrases.Not_making_much_sense")}>
-            {i18n.t("phrases.The_testcases_are_generally_split_into_four_sections")}
+          <ModalBadge expand_text={t("Not_making_much_sense")}>
+            {t("The_testcases_are_generally_split_into_four_sections")}
             <ul>
               <li>
                 <Trans i18nKey="Description_Text">
@@ -236,7 +234,7 @@ export function FedoraManualTestingItem(props) {
         </li>
 
         <li>
-          {i18n.t("phrases.based_on_the")}{" "}
+          {t("based_on_the")}{" "}
           <a
             target="_blank"
             rel="noopener noreferrer"
@@ -244,27 +242,26 @@ export function FedoraManualTestingItem(props) {
             here
           </a>
           .{" "}
-          <ModalBadge expand_text={i18n.t("phrases.Not_sure_how")}>
+          <ModalBadge expand_text={t("Not_sure_how")}>
             <ul>
-              <li>{i18n.t("phrases.Most_of_the_time")}</li>
+              <li>{t("Most_of_the_time")}</li>
               <li>
-                {i18n.t("phrases.Make_sure_to")}{" "}
-                <ModalBadge expand_text={i18n.t("words.See")}>
+                {t("Make_sure_to")}{" "}
+                <ModalBadge expand_text={t("See")}>
                   <ul>
                     <li>
-                      <Trans i18nKey="Have_a_look_at_the_matrix">
+                      <Trans i18nKey="Have_a_look_at_the_matrix2">
                         Have a look at the matrix. The rows are the testcases, and the columns are
-                        the environments. Most of the time, these are {environment_examples} for
-                        the {testtype} testcases, but you can also encouter a generic{" "}
+                        the environments. Most of the time, these are {{ environment_examples }}{" "}
+                        for the {{ testtype }} testcases, but you can also encouter a generic{" "}
                         <code>Result</code> column, which usually means you can use any
                         media/architecture available.
                       </Trans>
                     </li>
                     <li>
-                      <Trans i18nKey="for_this_perticular">
-                        For this particular testcase, <code>{extra_data.envs.join(", ")}</code>{" "}
-                        {extra_data.envs.length > 1 ? "environments are" : "environment is"}{" "}
-                        missing results.
+                      <Trans i18nKey="for_this_particular">
+                        For this particular testcase, <code>{{ join }}</code> {{ length }} missing
+                        results.
                       </Trans>
                     </li>
                   </ul>
@@ -275,19 +272,19 @@ export function FedoraManualTestingItem(props) {
         </li>
 
         <li>
-          <Trans i18nKey="study_the_testcase">
+          <Trans i18nKey="study_the_testcase" components={[<a href={tc_url}> </a>]}>
             Study the{" "}
             <a target="_blank" rel="noopener noreferrer" href={tc_url}>
               Testcase
             </a>{" "}
             thoroughly, to be sure you know what to do.{" "}
           </Trans>
-          <ModalBadge expand_text={i18n.t("phrases.Feeling_a_bit_lost")}>
+          <ModalBadge expand_text={t("Feeling_a_bit_lost")}>
             <ul>
               <li>
-                {i18n.t("phrases.The_testcase_structure_is_not_making_sense")}{" "}
-                <ModalBadge expand_text={i18n.t("words.See")}>
-                  {i18n.t("phrases.The_testcases_are_generally_split_into_four_sections:")}
+                {t("The_testcase_structure_is_not_making_sense")}{" "}
+                <ModalBadge expand_text={t("See")}>
+                  {t("The_testcases_are_generally_split_into_four_sections")}
                   <ul>
                     <li>
                       <Trans i18nKey="Description_Text">
@@ -317,9 +314,11 @@ export function FedoraManualTestingItem(props) {
                 </ModalBadge>
               </li>
               <li>
-                {i18n.t("phrases.Maybe_you_are_stuck")}{" "}
-                <ModalBadge expand_text={i18n.t("phrases.dont_have_an")}>
-                  <Trans i18nKey="If_you_are_not_familiar">
+                {t("Maybe_you_are_stuck")}{" "}
+                <ModalBadge expand_text={t("dont_have_an")}>
+                  <Trans
+                    i18nKey="If_you_are_not_familiar"
+                    components={[<a href="http://webchat.freenode.net"> </a>]}>
                     If you are not that familiar with IRC, you can use the{" "}
                     <a
                       target="_blank"
@@ -336,13 +335,18 @@ export function FedoraManualTestingItem(props) {
           </ModalBadge>
         </li>
 
-        <li>{i18n.t("phrases.Get_your_hands")}</li>
+        <li>{t("Get_your_hands")}</li>
         <li>
           <ModalBadge
-            expand_class="success"
-            expand_text={i18n.t("phrases.Everything_went_well")}
+            expand_class={t("success")}
+            expand_text={t("Everything_went_well")}
             type="btn">
-            <Trans i18nKey="Great_either_use">
+            <Trans
+              i18nKey="Great_either_use"
+              components={[
+                <a href={matrix_url}> </a>,
+                <code>&#123;&#123;result|pass|YOUR_NAME_HERE|&#125;&#125;</code>,
+              ]}>
               Great! Either use <code>relval report-results</code> on command line (make sure to
               install the <code>relval</code> package first), or modify the{" "}
               <a target="_blank" rel="noopener noreferrer" href={matrix_url}>
@@ -354,10 +358,7 @@ export function FedoraManualTestingItem(props) {
             </Trans>
           </ModalBadge>
 
-          <ModalBadge
-            expand_class="danger"
-            expand_text={i18n.t("phrases.I_found_a_bug")}
-            type="btn">
+          <ModalBadge expand_class={t("danger")} expand_text={t("I_found_a_bug")} type="btn">
             <Trans i18nKey="Awesome_ideally_read">
               Awesome! Ideally read up on https://fedoraproject.org/wiki/How_to_file_a_bug_report
               <br />
@@ -365,18 +366,19 @@ export function FedoraManualTestingItem(props) {
               containing:
             </Trans>
             <ul>
-              <li>{i18n.t("phrases.brief_description_of_what")}</li>
+              <li>{t("brief_description_of_what")}</li>
               <li>
-                {i18n.t("phrases.the_name_of")} (e.g.
-                "Fedora-Server-netinst-i386-Rawhide-20181227.n.0.iso")
+                {t("the_name_of")} (e.g. "Fedora-Server-netinst-i386-Rawhide-20181227.n.0.iso")
               </li>
-              <li>{i18n.t("phrases.note_what_you_did")}</li>
-              <li>{i18n.t("phrases.try_to_reproduce_the")}</li>
+              <li>{t("note_what_you_did")}</li>
+              <li>{t("try_to_reproduce_the")}</li>
               <li>
-                <Trans i18nKey="Share_your_notes">
+                <Trans
+                  i18nKey="Share_your_notes"
+                  components={[<ModalBadge expand_text={t("dont_have_an")}></ModalBadge>]}>
                   Share your notes on the internet (you can use fpaste), and ask for help with
                   filing the bug report on our IRC channel #fedora-qa at freenode.net{" "}
-                  <ModalBadge expand_text="Don&#39;t have an IRC client?">
+                  <ModalBadge expand_text={t("dont_have_an")}>
                     If you are not that familiar with IRC, you can use the web-interface[link] just
                     enter a Nickname of your choice, #fedora-qa (including the hash sign) in the
                     Channels field, and click Connect.
@@ -384,7 +386,9 @@ export function FedoraManualTestingItem(props) {
                 </Trans>
               </li>
             </ul>
-            <Trans i18nKey="Once_you_get_the_bug">
+            <Trans
+              i18nKey="Once_you_get_the_bug"
+              components={[<a href={matrix_url}> </a>, <code></code>]}>
               Once you get the Bug reported, make sure to also submit the result into the testing
               matrix. Either use <code>relval report-results</code> on command line (make sure to
               install the <code>relval</code> package first), or modify the{" "}
diff --git a/src/wizard/Manual.js b/src/wizard/Manual.js
index db6149b..33072ad 100644
--- a/src/wizard/Manual.js
+++ b/src/wizard/Manual.js
@@ -3,27 +3,27 @@ import { useHistory, useLocation } from "react-router-dom"
 import queryString from "query-string"
 
 import Tab from "./manualTesting/Tab"
-import { useSelector } from "react-redux"
+import { useTranslation } from "react-i18next"
 
 const Manual = (props) => {
-  const { i18n } = useSelector((state) => state.locale)
+  const { t } = useTranslation()
 
   const data = [
     {
-      title: i18n.t("words.Preperation"),
-      description: i18n.t("phrases.Preperation_text"),
+      title: t("Preperation"),
+      description: t("Preperation_text"),
     },
     {
-      title: i18n.t("words.Installation"),
-      description: i18n.t("phrases.Installation_text0"),
+      title: t("Installation"),
+      description: t("Installation_text0"),
     },
     {
-      title: i18n.t("words.Testing"),
-      description: i18n.t("phrases.testing_text"),
+      title: t("Testing"),
+      description: t("testing_text"),
     },
     {
-      title: i18n.t("words.Reporting"),
-      description: i18n.t("phrases.reporting_text"),
+      title: t("Reporting"),
+      description: t("reporting_text"),
     },
   ]
 
diff --git a/src/wizard/Wizard.js b/src/wizard/Wizard.js
index 862467d..46dc5c7 100644
--- a/src/wizard/Wizard.js
+++ b/src/wizard/Wizard.js
@@ -7,9 +7,10 @@ import { loadWizardData } from "../actions/reduxActions"
 import WizardStepper from "./WizardStepper"
 import { useParams } from "react-router"
 import WizardNavigation from "./WizardNavigation"
+import { useTranslation } from "react-i18next"
 
 const Wizard = (props) => {
-  const { i18n } = useSelector((state) => state.locale)
+  const { t } = useTranslation()
   const { step } = props
   const query = useParams()
   const selectAction = (state) => state.wizard.api_call_status
@@ -36,7 +37,7 @@ const Wizard = (props) => {
             {query.issues || query.provider === "fedora_easy_karma" ? (
               <Col md="12">
                 <h5 className="padded text-center">
-                  {i18n.t("phrases.None_of_the_above_looks_interesting_to_you")}{" "}
+                  {t("None_of_the_above_looks_interesting_to_you")}{" "}
                   <a href="https://whatcanidoforfedora.org/">https://whatcanidoforfedora.org/</a>!
                 </h5>
               </Col>
diff --git a/src/wizard/WizardNavigation.js b/src/wizard/WizardNavigation.js
index add31a1..474836a 100644
--- a/src/wizard/WizardNavigation.js
+++ b/src/wizard/WizardNavigation.js
@@ -4,10 +4,11 @@ import { Breadcrumb, BreadcrumbItem } from "reactstrap"
 import { Link } from "react-router-dom"
 import { useSelector, shallowEqual } from "react-redux"
 import * as R from "ramda"
+import { useTranslation } from "react-i18next"
 
 function WizardNavigation(props) {
   const query = useParams()
-  const { i18n } = useSelector((state) => state.locale)
+  const { t } = useTranslation()
   const { step } = props
 
   const selectAction = (state) => state.wizard.all_actions
@@ -59,24 +60,24 @@ function WizardNavigation(props) {
     createBreadcrumbItem(
       "Duration",
       step.slice(-1) > "2" ? "enable" : "disabled",
-      query.duration === "few_hours" ? i18n.t("phrases.Few_hours") : i18n.t("phrases.Several_days")
+      query.duration === "few_hours" ? t("Few_hours") : t("Several_days")
     ),
     createBreadcrumbItem(
       "Provider",
       step.slice(-1) > "3" ? "enable" : "disabled",
       query.provider === "fedora_manual_testing"
-        ? i18n.t("phrases.Fedora_Manual_Testing")
+        ? t("Fedora_Manual_Testing")
         : query.provider === "easyfix"
-        ? i18n.t("words.Easyfix")
-        : i18n.t("phrases.Bodhi_Karma")
+        ? t("Easyfix")
+        : t("Bodhi_Karma")
     ),
     createBreadcrumbItem(
       "Actions",
       step.slice(-1) > "4" ? "enable" : "disabled",
       query.action === "manual_testing"
-        ? i18n.t("words.Manual_Testing")
+        ? t("Manual_Testing")
         : query.action === "beginner_guide"
-        ? i18n.t("words.Beginner_Guide")
+        ? t("Beginner_Guide")
         : query.action
         ? getTags().filter((a) => a.toLowerCase() === decodeURIComponent(query.action))[0] ||
           query.action.charAt(0).toUpperCase() + query.action.slice(1)
diff --git a/src/wizard/step/Step1.js b/src/wizard/step/Step1.js
index 6fa7453..2980abf 100644
--- a/src/wizard/step/Step1.js
+++ b/src/wizard/step/Step1.js
@@ -1,10 +1,10 @@
 import React, { useState } from "react"
-import { useSelector } from "react-redux"
+import { useTranslation } from "react-i18next"
 import { useHistory } from "react-router-dom"
 import { Card, CardText, Col, Row } from "reactstrap"
 
 const Step1 = (props) => {
-  const { i18n } = useSelector((state) => state.locale)
+  const { t } = useTranslation()
   const [selectedItem, setItem] = useState()
   const history = useHistory()
   const handleStep = (option) => {
@@ -25,9 +25,9 @@ const Step1 = (props) => {
             handleStep("few_hours")
           }}>
           <h1 className="padded">
-            {i18n.t("phrases.Few_hours")} <i className="fas fa-calendar-day"></i>
+            {t("Few_hours")} <i className="fas fa-calendar-day"></i>
           </h1>
-          <CardText>{i18n.t("phrases.Task_that_can_take_up_to_Few_Hours")} </CardText>
+          <CardText>{t("Task_that_can_take_up_to_Few_Hours")} </CardText>
         </Card>
       </Col>
       <Col sm="6">
@@ -42,9 +42,9 @@ const Step1 = (props) => {
             handleStep("several_days")
           }}>
           <h1 className="padded">
-            {i18n.t("phrases.Several_days")} <i className="fas fa-calendar-week"></i>
+            {t("Several_days")} <i className="fas fa-calendar-week"></i>
           </h1>
-          <CardText>{i18n.t("phrases.Task_that_can_take_up_to_Several_Days")} </CardText>
+          <CardText>{t("Task_that_can_take_up_to_Several_Days")} </CardText>
         </Card>
       </Col>
     </Row>
diff --git a/src/wizard/step/Step3.js b/src/wizard/step/Step3.js
index 90f9220..c44b4d2 100644
--- a/src/wizard/step/Step3.js
+++ b/src/wizard/step/Step3.js
@@ -5,10 +5,11 @@ import { Card, CardBody, CardTitle, Col, Row, CardText } from "reactstrap"
 import FedoraEasyKarma from "../FedoraEasyKarma"
 import * as R from "ramda"
 import { useHistory } from "react-router"
+import { useTranslation } from "react-i18next"
 
 const Step3 = (props) => {
   const { query } = props
-  const { i18n } = useSelector((state) => state.locale)
+  const { t } = useTranslation()
 
   const [selectedItem, setItem] = useState()
   const history = useHistory()
@@ -61,8 +62,8 @@ const Step3 = (props) => {
                 handleStep("beginner_guide")
               }}>
               <CardBody>
-                <h1 className="padded">{i18n.t("phrases.Im_a_complete_beginner")}</h1>
-                <CardText> {i18n.t("phrases.please_guide_to_me_this")} </CardText>
+                <h1 className="padded">{t("Im_a_complete_beginner")}</h1>
+                <CardText> {t("please_guide_to_me_this")} </CardText>
               </CardBody>
             </Card>
           </Col>
@@ -73,8 +74,8 @@ const Step3 = (props) => {
                 handleStep("manual_testing")
               }}>
               <CardBody>
-                <h1 className="padded">{i18n.t("phrases.Ive_already_done_this")}</h1>
-                <CardText>{i18n.t("phrases.Show_me_the_test_cases")} </CardText>
+                <h1 className="padded">{t("Ive_already_done_this")}</h1>
+                <CardText>{t("Show_me_the_test_cases")} </CardText>
               </CardBody>
             </Card>
           </Col>
diff --git a/src/wizard/step/Step4.js b/src/wizard/step/Step4.js
index 7d350c8..87ff0a9 100644
--- a/src/wizard/step/Step4.js
+++ b/src/wizard/step/Step4.js
@@ -89,12 +89,12 @@ const Step4 = (props) => {
       case "Installation":
         return (
           <div className="text-left">
-            <Trans i18nKey="Installation_text">
+            <Trans
+              i18nKey="Installation_text"
+              components={[<strong>Installation</strong>, <br />, <i>Note:</i>]}>
               The <strong>Installation</strong> testcases generally deal with a part of the
-              installation procedure.
-              <br />
-              You will certainly need an installation ISO, and either a Virtual or Bare-metal
-              machine to run the test.
+              installation procedure. You will certainly need an installation ISO, and either a
+              Virtual or Bare-metal machine to run the test.
               <br />
               <i>Note:</i> some (not that many, though) of these testcases require Bare-metal
               machine. Be sure to read the Description of the testcase carefully.
@@ -105,7 +105,7 @@ const Step4 = (props) => {
       case "Desktop":
         return (
           <div className="text-left">
-            <Trans i18nKey="Desktop_Text">
+            <Trans i18nKey="Desktop_Text" components={[<strong>Installation</strong>, <br />]}>
               The <strong>Desktop</strong> testcases cover basic functionality of the desktop
               environment.
               <br />
@@ -118,7 +118,9 @@ const Step4 = (props) => {
       case "Base":
         return (
           <div className="text-left">
-            <Trans i18nKey="Base_Text">
+            <Trans
+              i18nKey="Base_Text"
+              components={[<strong>Installation</strong>, <br />, <i>Pro tip:</i>]}>
               The <strong>Base</strong> testcases cover the system&#x27;s basic functionality just
               after a clean installation.
               <br />
@@ -134,7 +136,7 @@ const Step4 = (props) => {
       case "Server":
         return (
           <div className="text-left">
-            <Trans i18nKey="Server_Text">
+            <Trans i18nKey="Server_Text" components={[<strong>Installation</strong>, <br />]}>
               The <strong>Server</strong> testcases usually require multiple machines to test the
               server-client behaviour, and might feel a bit advanced.
             </Trans>
@@ -144,7 +146,15 @@ const Step4 = (props) => {
       case "Cloud":
         return (
           <div className="text-left">
-            <Trans i18nKey="Cloud_Text">
+            <Trans
+              i18nKey="Cloud_Text"
+              components={[
+                <a href="https://fedoraproject.org/wiki/Test_Results:Fedora_Current_Cloud#Cloud_Provider_Setup">
+                  {" "}
+                </a>,
+                <strong>Cloud</strong>,
+                <br />,
+              ]}>
               Even thought the <strong>Cloud</strong> testcases are best done in the specific
               environments like EC2 or Openstack, you can also perform them locally using
               Testcloud.
